{
pkgs ? import /home/steveej/src/github/NixOS/nixpkgs {},
mkGoEnv ? import ./go.nix,
}:
let 
  rktBasebuildInputs = with pkgs; [
    glibc.out
    glibc.static
    autoreconfHook
    gnupg1
    squashfsTools
    cpio
    tree
    intltool
    libtool
    pkgconfig
    libgcrypt
    gperf
    libcap
    libseccomp
    libzip
    eject
    iptables
    bc
    acl
    trousers
    systemd
  ];
in {
  go15 = mkGoEnv {
    inherit pkgs;

    name = "rktGo15";
    version = "1_5";
    extraBuildInputs = rktBasebuildInputs;
  };

  go16 = mkGoEnv {
    inherit pkgs;

    name = "rktGo16";
    version = "1_6";
    extraBuildInputs = rktBasebuildInputs;
  };
}
